> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user



## OpenAPI

````yaml GET /api/users/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Users API
  description: API for managing users in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/users/{id}:
    get:
      summary: Get user
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the user to be obtained.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseUserSchema'
          description: OK
components:
  schemas:
    responseUserSchema:
      type: object
      properties:
        invoicing:
          type: object
          properties:
            MX:
              type: object
              properties:
                fiscalRegimenCode:
                  type: string
                  description: Fiscal regimen code for Mexico.
                  enum:
                    - 601
                    - 603
                    - 605
                    - 606
                    - 607
                    - 608
                    - 609
                    - 610
                    - 611
                    - 612
                    - 614
                    - 615
                    - 616
                    - 620
                    - 621
                    - 622
                    - 623
                    - 624
                    - 625
                    - 626
                    - 628
                    - 629
                    - 630
        individualData:
          type: object
          properties:
            firstName:
              type: string
              description: First name of the user.
            middleName:
              type: string
              description: Middle name of the user.
            lastName:
              type: string
              description: Last name of the user.
            birthday:
              type: string
              description: Birthday of the user.
              example: '1988-06-06T00:00:00.000Z'
        businessData:
          type: object
          properties:
            businessName:
              type: string
              description: Business Name
        createdAt:
          type: string
          description: Creation date of the user.
          example: '2024-05-28T19:08:48.590Z'
        type:
          type: string
          description: Type of the user.
          enum:
            - business
            - individual
        phoneNumber:
          type: string
          description: Phone number of the user.
          example: '+526589562354'
        email:
          type: string
          description: Email of the user.
          example: testing@rio.trade
        onboarding:
          type: object
          properties:
            status:
              type: string
              description: Onboarding status for Mexico.
              enum:
                - approved
                - individualPassed
                - individualReview
                - individualFailed
                - legalRepresentativeApproved
                - legalRepresentativeFailed
                - bridgeToSAndKYCCompleted
                - bridgeKYCCompleted
                - bridgeKYCApproved
                - bridgeToSCompleted
                - started
                - failed
                - review
                - none
            country:
              type: string
              description: Country of the user's address.
              enum:
                - MX
                - PE
                - CO
                - US
            hasAcceptedTerms:
              type: boolean
              description: Indicates if the user has accepted the terms and conditions.
              example: true
        address:
          type: object
          properties:
            street1:
              type: string
              description: Street 1 of the user's address.
              example: Address 1
            street2:
              type: string
              description: Street 2 of the user's address.
              example: Address 2
            city:
              type: string
              description: City of the user's address.
              example: City
            state:
              type: string
              description: State of the user's address.
              example: State
            country:
              type: string
              description: Country of the user's address.
              example: Country
            postalCode:
              type: string
              description: Postal code of the user's address.
              example: Postal Code
        id:
          type: string
          description: ID of the user.
          example: 66562bc04fe8bf83c577c178
        platformFeeRanges:
          type: object
          properties:
            MX:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                    properties:
                      min:
                        type: number
                      max:
                        type: number
                      fee:
                        type: number
                      nextDaySettlementFee:
                        type: number
                      _id:
                        type: string
                sell:
                  type: array
                  items:
                    type: object
                    properties:
                      min:
                        type: number
                      max:
                        type: number
                      fee:
                        type: number
                      nextDaySettlementFee:
                        type: number
                      _id:
                        type: string
            US:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            PE:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            CO:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
            BR:
              type: object
              properties:
                buy:
                  type: array
                  items:
                    type: object
                sell:
                  type: array
                  items:
                    type: object
        accumulatedVolumeInUSD:
          type: object
          properties:
            MX:
              type: object
              properties:
                buy:
                  type: number
                sell:
                  type: number
            PE:
              type: object
              properties:
                buy:
                  type: number
                sell:
                  type: number
            US:
              type: object
              properties:
                buy:
                  type: number
                sell:
                  type: number
        attributes:
          type: array
          items:
            type: string
          description: User attributes
        serviceFee:
          type: object
          properties:
            MX:
              type: object
              properties:
                buy:
                  type: number
                sell:
                  type: number
            PE:
              type: object
              properties:
                buy:
                  type: number
                sell:
                  type: number
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````